      *****************************************************************
      * DATE: 11/03/31
      * VERSION: 1.3
      *                                                         
      *   (C) COPYRIGHT International Business Machines Corp.   
      *   2011                                            
      *   All Rights Reserved                                   
      *   Licensed Materials - Property of IBM                  
      *   5725-C89                                              
      *                                                         
      *   US Government Users Restricted Rights -               
      *   Use, duplication or disclosure restricted by          
      *   GSA ADP Schedule Contract with IBM Corp.              
      *                                                         
      *                                                                       
      *            NOTICE TO USERS OF THE SOURCE CODE EXAMPLES                
      *                                                                       
      * INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THE SOURCE CODE  
      * EXAMPLES, BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS, AS IS          
      * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,            
      * INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF               
      * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE     
      * RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOURCE CODE EXAMPLES,   
      * BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS, IS WITH YOU.  SHOULD     
      * ANY PART OF THE SOURCE CODE EXAMPLES PROVE DEFECTIVE, YOU (AND NOT    
      * IBM) ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR OR     
      * CORRECTION.  THIS PROGRAM MAY BE USED, EXECUTED, COPIED, MODIFIED     
      * AND DISTRIBUTED WITHOUT ROYALTY FOR THE PURPOSE OF DEVELOPING,        
      * MARKETING, OR DISTRIBUTING.                                           
      *                                                                       
      *                                                                       
      *****************************************************************
      *    DFHINS - CICS SAMPLE TO ADD AN EMPLOYEE RECORD             *
      *****************************************************************
       IDENTIFICATION DIVISION.
       PROGRAM-ID. DFHINS.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.

       01  FILEA.       COPY DFHCFIL.
       01  ABCODE       PIC X(4) VALUE SPACES.

       LINKAGE SECTION.
       01  DFHCOMMAREA.  COPY DFHCFIL.

       PROCEDURE DIVISION USING DFHCOMMAREA.

           COPY ERROR-HANDLING.

       MAIN.

           IF EIBCALEN NOT = LENGTH OF FILEREC IN FILEA THEN
               EXEC CICS ABEND ABCODE('LERR')
               END-EXEC.

           MOVE NUMB    IN DFHCOMMAREA TO NUMB    IN FILEA.
           MOVE NAMEX   IN DFHCOMMAREA TO NAMEX   IN FILEA.
           MOVE ADDRX   IN DFHCOMMAREA TO ADDRX   IN FILEA.
           MOVE PHONE   IN DFHCOMMAREA TO PHONE   IN FILEA.
           MOVE DATEX   IN DFHCOMMAREA TO DATEX   IN FILEA.
           MOVE AMOUNT  IN DFHCOMMAREA TO AMOUNT  IN FILEA.
           MOVE COMMENT IN DFHCOMMAREA TO COMMENT IN FILEA.

           EXEC CICS WRITE DATASET('FILEA') FROM(FILEA)
                           RIDFLD(NUMB IN DFHCOMMAREA)
                           END-EXEC.

           EXEC CICS RETURN
           END-EXEC.
