      *****************************************************************
      * DATE: 11/02/04 
      * VERSION: 1.6 
      *                                                         
      *   (C) COPYRIGHT International Business Machines Corp.   
      *   2011                                            
      *   All Rights Reserved                                   
      *   Licensed Materials - Property of IBM                  
      *   5725-C89                                              
      *                                                         
      *   US Government Users Restricted Rights -               
      *   Use, duplication or disclosure restricted by          
      *   GSA ADP Schedule Contract with IBM Corp.              
      *                                                         
      *                                                                       
      *            NOTICE TO USERS OF THE SOURCE CODE EXAMPLES                
      *                                                                       
      * INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THE SOURCE CODE  
      * EXAMPLES, BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS, AS IS          
      * WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,            
      * INCLUDING, BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF               
      * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE     
      * RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOURCE CODE EXAMPLES,   
      * BOTH INDIVIDUALLY AND AS ONE OR MORE GROUPS, IS WITH YOU.  SHOULD     
      * ANY PART OF THE SOURCE CODE EXAMPLES PROVE DEFECTIVE, YOU (AND NOT    
      * IBM) ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR OR     
      * CORRECTION.  THIS PROGRAM MAY BE USED, EXECUTED, COPIED, MODIFIED     
      * AND DISTRIBUTED WITHOUT ROYALTY FOR THE PURPOSE OF DEVELOPING,        
      * MARKETING, OR DISTRIBUTING.                                           
      *                                                                       
      *                                                                       
      * Program to generate exponent overflow condition 
      ***************************************************************** 
        IDENTIFICATION DIVISION.
        PROGRAM-ID.  EXPE.
        ENVIRONMENT DIVISION.
        DATA DIVISION.
        WORKING-STORAGE SECTION.
        01 TEXT-OUT    PIC X(30) VALUE 'Exponent Overflow Condition'.
        01 VALRES      PIC 9V9 COMP-5.

        LINKAGE SECTION.
        01 DFHCOMMAREA.
           03 OCCURS 0 TO 32767 TIMES DEPENDING ON EIBCALEN PIC X(1).

        PROCEDURE DIVISION
            USING DFHCOMMAREA.
            DISPLAY "PROGRAM TO CHECK " TEXT-OUT.
            IF EIBCALEN EQUAL 0
               DISPLAY "COMMAREA LENGTH IS ZERO"
            ELSE
              DISPLAY "COMMAREA : " DFHCOMMAREA
            END-IF.

      *  Raise Exponent Overflow Condition

           COMPUTE VALRES = 9 ** 9999999999.
           DISPLAY VALRES.
           GOBACK.
